/*------------------------------------------------------------------------
 * Copyright (C) 2011 For the list of authors, see file AUTHORS.
 *
 * This file is part of SOFI2D.
 * 
 * SOFI2D is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2.0 of the License only.
 * 
 * SOFI2D is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with SOFI2D. See file COPYING and/or 
  * <http://www.gnu.org/licenses/gpl-2.0.html>.
--------------------------------------------------------------------------*/
/*------------------------------------------------------------------------
 *   Read extern source wavelet                               
 *
 *  ----------------------------------------------------------------------*/

#include "fd.h"
#include "logging.h"

float *rd_sour(int *nts, FILE* fp_source)
{
  float *psource;
  int i, c;

  if (!fp_source) log_fatal("Source file has not been opened.\n");
  *nts=0;
  while ((c=fgetc(fp_source)) != EOF)
    if (c=='\n') ++(*nts);
  rewind(fp_source);
	
  log_info("Number of samples (NTS) in source file: %d\n",*nts);
		  
  psource=vector(1,*nts);
  for (i=1;i<=*nts;i++) fscanf(fp_source,"%e\n",&psource[i]);

  fclose(fp_source);
	
  return psource;
}
